import numpy as np


def sentence_ppl(text, gpt2):
    return gpt2.get_sentence_ppl(text)


def corpus_ppl(sentences, gpt2):
    ppl_list = [item for item
                in [sentence_ppl(sent, gpt2)
                    for sent in sentences if sent != '']
                if not np.isnan(item)]
    return sum(ppl_list) / len(ppl_list)
